# Serialization

## Serializing transforms

DataVec comes with the ability to serialize transforms, which allows them to be more portable when they're needed for production environments. A `TransformProcess` is serialzied to a human-readable format such as JSON and can be saved as a file.

## Serialization

The code below shows how you can serialize the transform process `tp`.

```java
String serializedTransformString = tp.toJson()
```

## Deserialization

When you want to reinstantiate the transform process, call the static `from<format>` method.

```java
TransformProcess tp = TransformProcess.fromJson(serializedTransformString)
```

## Available serializers

### JsonSerializer

[\[source\]](https://github.com/eclipse/deeplearning4j/tree/master/datavec/datavec-api/src/main/java/org/datavec/api/transform/serde/JsonSerializer.java)

Serializer used for converting objects (Transforms, Conditions, etc) to JSON format

### YamlSerializer

[\[source\]](https://github.com/eclipse/deeplearning4j/tree/master/datavec/datavec-api/src/main/java/org/datavec/api/transform/serde/YamlSerializer.java)

Serializer used for converting objects (Transforms, Conditions, etc) to YAML format


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://deeplearning4j.konduit.ai/datavec/reference/serialization.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
